Please  do  not write behind the end of line tag so that it is  possible
to   send  a   Changelog   file  to  a  line  printer  directly.  Thanks.

For your entries please follow this style:

_yyyy/mm/dd:_[Your Name]
_
___*_filename:
_____-_description
_
___*_filename2, filename3:
_____-_description
_
_
_

While an underscore is a placeholder for a white-space or an empty line.

                                                 -*-*- END OF LINE -*-*-
 2005/03/03 Javier Rico
    * programs/makeHillas.cc programs/makehillas.datacard
      - read initial list of bad pixels from ascii file
      - include MImagePar as output container

 2005/02/15 Javier Rico
    * library/MEffAreaAndCoeffCalc.[h,cc]
    * macros/computeCoeff.C
      - extend the energy bounds to compute weights
      - add possibility to set the zenith angle binning from outside

 2005/02/14 Javier Rico
    * library/MEffAreaAndCoeffCalc.[h,cc]
    * macros/computeCoeff.C
      - compute the coefficients in the big bins
      - migrate to new data format
      
	
 2005/02/10 Javier Rico
    * library/MEffAreaAndCoeffCalc.[h,cc]
      - added class to compute Effective areas and unfolding coefficients
    * library/Makefile, IFAELinkDef.h
      - add MEffAreaAndCoeffCalc
    * macros/computeCoeff.C
      - add macro example to use MEffAreaAndCoeffCalc	
	
 2005/02/02 Oscar Blanch Bigas
    * library/MGainFluctuationPix.[h,cc],MGainFluctuationCam.[h,cc]
      - added parameter containers to handle gain fluctuaions
    * library/MAddGainFluctuation.[h,cc]
      - added task to add gain fluctuaions
    * library/Makefile,IFAELinkDef.h
      - modified to compile new classes
    * macros/makeHillasMC.C
      - modified to compute also Mhadronness and MDisp
      - modified adding class to introduce gain fluctuations
      - modified adding display hillas

 2005/01/27 Javier Rico
    * programs/DISPstd.root, programs/RF*.root
     - removed, will be available at 
       http://atlas.ifae.es/~jrico/Mars_Standard06/mtemp/mifae/bin/

 2005/01/27 Eva Domingo
    * programs/DISPstd.root
     - updated optimal DISP parameters, running over the MC treated
       with the Spline signal extractor
    * macros/DispSkymap.C
     - added first version of a macro that creates the On, Off and
       On-Off skymaps from the makeHillas program output files
    * macros/makeHillasMC.C
     - added macro equivalent to current makeHillas program 
       for MC files (it is in fact a version of several already 
       existing macros)

 2005/01/25 Javier Rico
    * macros/mmcCleaning.C
     - added extractor spline and input arguments
	
 2005/01/24 Javier Rico
    * programs/RFstd.root, programs/RFdist.root, programs/RFalpha.root
     - added default forest files for standard analysis, for 
       off-axis or exteded sources (disp analysis), and analysis 
       on hadronness including alpha.
	
 2005/01/24 Eva Domingo
    * library/MFDisp.[cc,h] 
     - Number of islands read from MImagePar container
       to be used as cut parameter if wanted
    * library/MHDisp.cc 
     - corrected to be able to run Disp method also over
       data (MMcEvt container info just used if available)
    * library/MDispCalc.cc
     - introduced DISP = Xi*(1/(1+width/length)) as default
       Disp parameterization for the moment

 2005/01/24 Eva Domingo
    * programs/makeHillas.cc 
      programs/makehillas.datacard
      programs/DISPstd.root, default DISP parameters values
     - Add Disp computation

 2005/01/21 Javier Rico
    * programs/makeHillas.cc, programs/Makefile, 
      programs/makehillas.datacard
     - Add Random Forest computation
	
 2005/01/20 Eva Domingo
    * library/MDispParameters.[cc,h]
     - Added substituting previous MDisp.[cc,h] classes.
       Old MDisp::Calc function moved to MDispCalc task.
    * library/MDispCalc.[cc,h]
     - Now includes the DISP parameterization, defined in 
       MDispCalc::Calc. MDispCalc::InitMapping now defines 
       training and test matrices with only the columns of 
       variables needed in the DISP expression.
    * library/MHDisp.[cc,h]
     - Changed the Chi2 name by MinPar (to clarify it accounts for 
       the parameter asked to be minimized in the Disp optimization).
       Added MHDisp::InitMapping, defines matrices with only the columns
       of variables needed for computing the minimization parameter 
       and for filling the DISP histograms.

 2005/01/18 Javier Rico & Markus Gaug
    * programs/controlPlot.cc, programs/controlplot.datacard,
      programs/Makefile
     - correct bugs: cuts in the proper units; separate ON and OFF 
       task lists since before it was reading who knows what
    * library/MControlPlots.[h,cc]
     - add Clear() method and remove some (minor) memory leaks
    * library/MIslands.cc
     - place call to SetOwner() in the correct place
	
 2005/01/10 Javier Rico
    * programs/makeHillas, programs/makehillas.datacard
     - adapt to new mars version
	
 2004/12/22 Eva Domingo
    * library/MImageParDisp.[cc,h]
     - Container for the estimated distance to source position DISP.
    * library/MDisp.[cc,h]
     - Container holding the parameters used for the DISP expression.
       The current DISP parameterization is defined in MDisp::Calc.
    * library/MDispCalc.[cc,h]
     - Task calculating DISP with the expression and parameter values
       stored in MDisp. Training and test matrix of variables to be 
       used in the DISP optimization are also defined within 
       MDispCalc::InitMapping.
    * library/MHDisp.[cc,h]
     - Container for the histograms to judge the quality of the DISP 
       estimate. MHDisp::GetChi2 returns the value of the quantity 
       requested to be minimized by Minuit, which is defined and 
       computed in MHDisp::Fill and MHDisp::Finalize. 
       MHDisp::GetSkymapXY returns the reconstructed map of source 
       positions. MHDisp::SetSelectedPos function to choose the 
       selection method of the DISP source position solution.
    * library/MFDisp.[cc,h]
     - Filter to select a sample of events to do the DISP optimization.
       Use MFDisp::SetCuts function.
    * library/MFindDisp.[cc,h]
     - Main class for DISP optimization:
        ::DefineTrainMatrix, ::DefineTestMatrix, ::DefineTrainTestMatrix
       generate the training and test samples (in the form of matrices)
       from the input file.
	::FindParams is the function steering the optimization (over the
       training sample), calling Minuit, passing the fcn function to be 
       minimize and defining the event loop to be executed in each step.
	::TestParams tests the quality of the DISP estimate using the 
       test matrix sample
    * macros/OptimizeDisp.C
     - macro for estimating the DISP parameter: create training and test
       matrix; optimize DISP; test quality optimization; calculate DISP
       and construct skymap for an input file.
    * library/Makefile, library/IFAELinkDef.h
     - include Disp classes.

 2004/12/21 Pepe Flix (represented by jrico)
    * library/MTopology.[cc,h], library/MTopologyCalc.[cc,h], 
      library/Makefile, library/IFAELinkDef.h
     - include topology classes
	
 2004/12/21 Javier Rico
    * programs/makeHillas.cc, programs/makehillas.datacard
     - Include spline extractor and remove possibility of computing 
       pedestals from pedestal runs instead of from low gains

 2004/11/24  Ester Aliu
    * library/MIslandsCalc.h
     - Remove a memmory leak, and add a sort function to order the 
     pixels by index after their interpolation
     - Other minor changes 
    * library/MImgIsland.[h,cc]
     - Reset some variables

 2004/11/11  Ester Aliu
    * library/MIslands.h
     - Add the variable AlphaW
    * library/MImgIsland.[h,cc]
     - Add alpha for each island
    * library/MIslandsCalc.cc
     - Bug solved
    * library/MIslandsClean.cc
     - More different island cleanings added	

  2004/10/20  Javier Rico
    * programs/makeHillas.cc
     - Correct reading in MReportDrive
	
  2004/10/15  Javier Rico
    * programs/makeHillas.cc, programs/Makefile
     - Write out MReportDrive
	
  2004/10/15  Javier Rico
    * macros/mmcCleaning.C
     - Include islands
     - Do not save uncalibrated nonoise file

  2004/10/08  Javier Rico
    * programs/makeHillas.cc, programs/makehillas.datacard
     - Include possibility to select signal extractor in datacard
     - Include possitility to compute pedestals from data themselves, 
       by selecting word PRUNS 0. For the time being, the old option
       of computing them from a pedestal run is still available
	
  2004/10/05  Javier Rico
    * programs/srcPos.cc
     - Change kRotate by kRotating since the former is a used name
    * programs/makeHillas.cc
     - Change SetProcessRMS by SetProcessPedestal since name has changed
    * programs/Makefile
     - add mhcalib to the list of include dirs since it is now needed

  2004/10/05  Ester Aliu
    * library/Makefile ,library/IFAELinkDef
     - modified according to the new classes implemented
    * programs/makeHillas.cc
     - modified according to the new classes implemented 

  2004/10/05  Ester Aliu
    * library MIslands.[h,cc] ,library/MIslandCalc.[h,cc],
      MIslandClean.[h,cc]
     - removed
    * library MIslands.[h,cc],library/MIslandsCalc.[h,cc], 
     MIslandsClean.[h,cc] , MImgIsland.[h,cc]
     - added
    * library/MControlPlots.[h,cc], MIslands.[h,cc]
     - changed. A bug in the islands has been solved and a new structure
     for the islands classes similar to the MStarPos and MStarCam classes
     is proposed

  2004/09/16 Javier Rico
    * macros/pedrmsonoff.C
     - Added

  2004/09/02 Javier Rico
    * programs/srcPos.cc
     - Add include MArgs.h to cope with changes in Mars

  2004/08/31 Javier Rico
    * macros/mergeClean.C, mmcCleaning, cleanComp.C
     - Added macros for the cleaning comparison analysis

  2004/08/27 Javier Rico
    * library/MDisplay.[cc,h]
     - Dump run and event numbers
     - Add possibility to produce ps file of the image

  2004/08/10 Javier Rico
    * programs/makeHillas.cc
     - include recomendations of Nadia to interpolate bad pixels

  2004/08/10 Ester Aliu
    * library/MIslands.[h,cc], MIslandCalc.[h,cc]
     - remove som bugs
    * programs/makeHillas.[cc]
     - fixed window(14 slices) by default 
  
  2004/08/04 Javier Rico
    * programs/makeHillas.cc
     - remove "#include" of obsolete MBlindPixel.h
     - do not interpolate "unreliable" pixels
	
    * library/MIslands.[cc]
     - Correct tiny compilation error
    
    * library/MDisplay.cc, library/MHillasDisplay.[h,cc]
     - Print hillas source position dependent stuff

  2004/08/03 Ester Aliu Fusté
    * library/MIslands.[h, cc], MIslandCalc.[h,cc]
     - Add the delete for the pointers  

  2004/08/02 Ester Aliu Fusté
    * library/MIslands.[h, cc], MIslandCalc.[h,cc]
     - Added the variables: distance (Dist) between the larger island and 
       the other ones, width and lenght of the larger island. 
     
     - Written pointers instead of vectors 
     
  2004/07/28 Javi Lopez
    * script/
     - Created directory call scripts
     - Added srcPosRun.sh script to create the *.pos file for the MSrcPosFromFile
       task.
     - Added makeHillas.sh script that run several makeHillas making groups of
       data runs with preavius pedestal run.
  
  2004/07/28 Ester Aliu Fuste
    * programa/makeHillas.cc
     - Add a flag for the time calibration
 
  2004/07/26 Ester Aliu Fuste
    * library/MIslandCalc.cc
     - Add the initialization of Dist(to -1) and MeanX/MeanY (to -10000) vectors

  2004/07/22 Oscar Blanch Bigas
    * programs/makeHillas.cc
     - Solved backwards compatibility on the CLEANLEVEL
       options.

  2004/07/22 Ester Aliu 
    * library/MIslands.[h,cc],MIslandCalc.cc
     - Add meanX, meanY and dist of each of the islands
     - Now the island with id 0 is the larger one

  2004/07/21  Javier Rico
    * programs/makeHillas.cc, srcPos.cc
      - Add time information

    * programs/makehillas.datacard
      - Add comment

  2004/07/20  Javier Lopez
    * library/MLiveTime.[h,cc]
      - Containers to hold the live time. It has the option to
      have several time bins.
    * library/MLiveTimeCalc.[h,cc]
      - Task to compute the live time from the data. 
    * macros/runlivetime.C
      - Macro to use the MLiveTime+ stuff.

  2004/07/15  Javier Lopez
    * macros/ligthcurve.C
      - Macro to compute a light curve from hillas files.

  2004/07/04  Oscar Blanch Bigas
    * library/MControlPlots.cc
      - Off MHCamera normalised to On

    * programs/makeHillas.cc
      - Added clean flags to chose: number of rings and kDemocratic.
      - Using different Pedestal run for the calibration.

    * programs/optimizeCuts.cc
      - Added alias for MNewImageParameters.fInnerLeakage

    * calib.[cc,datacard]
      - Added : produces ascci file with relevant factors of
                Calibration

    * controlPlot.cc, controlplot.datacard
      - Added : It makes Number of hits plot.

  2004/06/30: Javier Rico

    * mifae/library/MDisp.cc
      - Remove include of deprecated library
      - Define namespace

    * mifae/library/MControlPlots.cc
      - Define style
      - Add projection
      - Plot 3rd plot correctly
      - Search for "MIsland" instead of "MIsland1" container

  2004/06/26: Eva Domingo - Pepe Flix

    * mifae/library/MDisp.[h,cc]
    * mifae/library/MDispCalc.[h,cc]
      - Added classes for evaluation of DISP method.

  2004/06/22  Javier Rico
    * library/MControlPlots.[h,cc]
      - Added

    * library/Makefile, IFAELinkDef.h
      - Add MControlPlots. So far, it produces plots with the number
        of times each pixel survives the cleaning. It needs a MIsland
        object to be included on the parameter list

    * programs/makeHillas.cc
      - Change pointer to MWriteRootFile object for MWriteRootFile 
	object (otherwise the tree "Parameters" is not saved)
      - Islands are always computed since are needed for some control
        plots

    * programs/srcPos.cc
      - Add MControlPlots to the task list

    * library/MSrcPosFromFile.cc
      - Cope with case where first analyzed run is not in input file

  2004/06/15  Javier Lopez
    * library/MSrcPosFromStars.[h,cc]
      - Task to compute the position of a source from
        the positions of several stars.

    * library/MHPSFFromStars.[h,cc]
      - Histogram task that holds and fills the histograms of 
        positioning and point spread function of an star.

    * macros/distancebetweenstars.C
      - Add macros that show in an histogram the distance between
        the stars in a field of view. 

    * macros/psffromstars.C
      - Add task that show the point spread funtion and positon of
        the most central star in the field of view. This information
        is compute using the MFindStars tool.

 2004/06/11 Ester Aliu 
   * programs/makeHillas.cc
     - add the possibility of using more than one algorithm to 
      calculate the islands and use different algorithms for counting
      islands

   * library/MIslands.[h,cc],MIslandCalc.[h,cc], MIslandCleaning.[h,cc]
     - add a new island cleaning which consists in removing all the
      islands except the larger one
     - add a new algorithm of counting islands consisting in consider
      as the same islands those islands separated by 2 or less pixels

 2004/06/02 Javier Rico
   * srcpositions, srcpositions/Mrk421_220404_pos.txt
     - add directory to store files with source positions and a first
       sample file (with real data)

 2004/06/01 Javier Rico
   * macros/observationTime.C
     - add macro to compute observation time

 2004/05/28 Javier Rico
   * programs/optimizeCuts.cc programs/optimizecuts.datacard
     - Include loop on size

 2004/05/27 Ester Aliu 
   * programs/makeHillas.cc
     - Add the name of the MIslands container

   * library/MHillasDisplay.[h,cc]
     - Add a function which retuns the name of the MIslands container

   * library/MIslands.[h,cc],MIslandCalc.cc
     - Add MIslands::Print() function wich prints the island parameters
     - Change some part of the code to take into account that some 
     times there are bad pixels

 2004/05/27 Javier Rico
   * programs/makeHillas.cc, programs/makehillas.datacard
     - Remove unneeded MCalibrationQECam and MBadPixelsCam objects, 
       trying to trace back a bug in the calibration
     - Add possibility to interpolate bad pixels

   * library/MHillasDisplay.cc
     - Initialize MIslands object in constructor
	
 2004/05/26 Javier Rico
   * library/MHillasDisplay.[h,cc]
     - Call for MIslands::Print() in the process if any MIslands is 
       found
	
 2004/05/24 Javier Rico
   * library/MDisplay.[h,cc], programs/makeHillas.cc, 
     programs/makehillas.datacard
     - Add possibility to save a ps file
     - Update documentation
     - Cope with the case when no cut is provided
	
   * library/MHillasDisplay[h.cc]
     - correct minor axis paint
     - include MNewImagePar dumping
     - update documentation
	
 2004/05/21 Oscar Blanch
   * makeHillas.cc
     - Adde a couple of conditionals to allow makeHillas in 
       NON calibration mode without giving a Cailbration file,
	
 2004/05/21  Javier Rico
   * library/MDCA.[cc.h]
     - removed

   * library/MDisplay.[h,cc], library/MHillasDisplay.[h,cc]
     - added

   * library/Makefile, library/IFAELinkDef.h
     - remove MDCA
     - add MDisplay and MHillasDisplay

   * library/MSrcPlace.[h,cc], library/MSrcRotate.[h,cc],
     library/MSrcTranslate.[h,cc], library/MSrcPosFromFile.cc
     - remove MDCA dependences

   * programs/makeHillas.cc, programs/makehillas.datacard
     - include display and selection cuts options
	
   * programs/Makefile
     - include mfbase in the list of includes directory

 2004/05/18  Javier Rico
   * macros/plotOptimal.C
     - dump value of maximal significance and cuts

 2004/05/18  Javier Rico
   * library/MSrcPlace.[cc,h], library/MSrcRotate.[cc,h], 
     library/MSrcTranslate.[cc,h], library/MSrcPosFromFile.[cc,h]
     - Add the possibility of having different input and output 
       MSrcPosCam containers (CONSTRUCTORS HAVE CHANGED!)
     - Move the creation of internal histogram to PreProcess, so that
       it can be configured before creation. Now configurable: whether
       histo must be created or not (fCreateHisto), histo bin size 
       (fHistoBinPrec), histogram name (fHistoName), with corresponding
       getters and setters
     - Update documentation

   * library/MSrcPosFromFile.cc	
     - If no position has been measured for the first analyzed run, use
       the one of the first run in file instead.

   * programs/falseSource.cc
     - Change obsolete MSrcPosCam predefinitions for modern 
       MSrcTranslate objects, which allow relative displacement of the
       source position from a previously assigned one. 
     - Add flag for relative translation
     - Include control histograms (hOn[Off]SrcPos) for the source 
       position

   * programs/falsesource.datacard
     - Add datacard SRCABS for relative/absolute source translation

   * programs/srcPos.cc
     - Avoid creation of internal histograms for the translation

   * programs/optimizeCuts.cc
     - Correct bug on width initial value

   * programs/makeHillas.cc
     - Pass MCalibrationQECam from the MJCalibration to the following
       loops (to be able to perform calibration of data)
	
	
 2004/05/17  Javier Rico
   * library/MSrcPlace.[cc,h], library/MSrcRotate.cc, 
     library/MSrcTranslate.cc
     - Assign the internal histogram a class-dependent name
     - Add some log lines to trace the classes behaviour
     - Remove function SearchForSrcPos

   * library/MSrcPosFromFile.[cc,h]
     - Correct behaviour for not found runs
     - Keep latest good MSrcPosCam to fill for next events
     - Initialize pointers to NULL
     - Fill also MDCA

	
 2004/05/14  Javier Rico
   * library/MSrcPlace.[cc,h]
     - added

   * library/MSrcPosFromFile.[cc,h], library/MSrcRotate.[cc,h],
     library/MSrcTranslate.[cc,h]
     - inherit from MSrcPlace

   * programs/srcPos.cc programs/srcpos.datacard
     - adapt to new MSrcPlace class
	
   * library/Makefile, library/IFAELinkDef.h
     - include MSrcPlace

 2004/05/13  Javier Rico
   * macros/rotation.C
     - added


 2004/05/13  Javier Lopez
   * library/MCalibrateDC.[h,cc]
     - Task to intercalibrate the dc response of the dc
       current for all the pmts from a continuos light
       run.

 2004/05/12: Javier Rico
   * macros/alpha.C, macros/plotOptimal.C
     - added

   * library/MSrcRotate.[cc.h]
     - correct bug in computation of run time for rotation
	
   * programs/srcPos.cc
     - change mjdpos type to Double_t
	
	
	
 2004/05/11: Javier Rico
   * programs/optimizeCuts.cc, programs/optimizecuts.datacard
     - added

   * programs/Makefile
     - include optimizeCuts

   * programs/srcPos.cc, programs/srcpos.datacard
     - add reference rotation angle

	
 2004/05/11: Ester Aliu
   *  macros/signal.cc 
     - change some things
   *  programs/falseSource.cc 
     - change some mathematical functions to root equivalents 
   *  programs/psffit.cc
     - add <stdlib.h> library 

 2004/05/11: Ester Aliu 
   * programs/makeHillas.cc, programs/makehillas.datacard
     - add island calculations
 
 2004/05/11: Javier Rico
   * programs/makeHillas.cc
     - prevent it from bombing because of the mjobs


 2004/05/10: Javier Rico
   * programs/Makefile
     - specify libmars.so with absolute path

	
 2004/05/07: Javier Rico
   * programs/pedvsslices.cc
     - added

	
 2004/05/05: Ester Aliu
   * library/MPSFFitCalc.cc library/MSrcRotate.cc
     - change some mathematical functions to root equivalents 

   * library/MIslands.[h,cc], library/MIslandCalc.[h,cc],
    library/MIslandClean.[h,cc]
     - added

   * library/Makefile, library/IFAELinkDef.h
     - add MIslands, MIslandCalc, MIslandClean
 
 2004/05/05: Javier Lopez
   * library/MFHVNotNominal.[h,cc]
     - filter to flag events(pixels) with non nominal hv
 
   * macros/hvnotnominal.C
     - macro to test MFHVNotNominal filter

 2004/05/05: Javier Rico
   * library/MSrcTranslate.[h,cc]
     - added

   * library/Makefile, library/IFAELinkDef.h
     - add MSrcTranslate

   * library/MSrcRotate.[h.cc]
     - adapted to changes in MObservatory and MAstro
   
   * programs/falseSource.cc programs/falsesource.datacard 
     programs/srcPos.cc programs/srcpos.datacard
     - added

   * programs/Makefile
     - add falseSource and srcPos

   * macros/signal.C macros/signalPoint.C
     - added
	
 2004/05/03: Javier Rico
   * makeHillas.cc
     - put back Jobs for pedestal and calibration parts

   * .rootrc
     - added

 2004/05/03: Javier Rico
   * library,programs,macros,*:
     - new directories added
     - directory macros contains macros (.C) and scripts (.sh)
     - directory programs contains root compilables and associated
       [input] files
     - directory library contains routines to be linked with libmars.so
	
 2004/04/30: Javier López
   * alpha_plot.C
     - macro to display hillas disttributions with corrected 
       miss pointing

   * srcPosRun.sh
     - Script to produce the file with the positions of UMa51 using 
       psffit executable

   * MSrcPosFromFile.[h,cc]
     - Tool to correct the position of the source for on and off data 
       from a file
 
   * psffit.C & psffit.cc
     - Macro and executable to calculate the mean position of a star.

   * MPSFFit.[h,cc] & MPSFFitCalc.[h,cc]
     - Container and taks to do calculation of the psf and position of 
       stars.

 2004/04/28: Javier Rico
   * makeHillas.cc, makehillas.datacard
     - Use MJPedestal and MJCalibration and simplified datacard

   * Makefile
     - include mjobs

	
 2004/04/28: Javier Rico
   * mifae/Changelog
     - Added. Next changes in directory mifae will be reported 
       exclusively in here

	
 2004/04/27: Javier Rico
   * mifae
     - Add new directory for IFAE temporal stuff
	
   * mifae/Makefile,IFAEIncl.h,IFAELinkDef.h
     - Add basic stuff to run the directory
	
   * mifae/MDCA.[h,cc]
     - Add Commichau & Starks's MDCA (provisional)

   * mifae/makeHillas.cc,makehillas.datacard
     - Add program to generate hillas parameters' file
